from wxPython.wx import *
from gnue.common.apps import GDebug

__wxApp = None

def getWxApp():
    global __wxApp

    if not __wxApp:
        GDebug.printMesg(7,"WxApp initializing")
        __wxApp = GFwxApp(0)
    return __wxApp

class GFwxApp(wxApp):
    _mainLoop= None
    
    def OnInit(self):
        GDebug.printMesg(7,"WxApp initializing")
        wxInitAllImageHandlers()
        return true

    def MainLoop (self):
        # just to launch one wx's mainloop
        # otherwise, the app does not finishes cleanly when several windows are open
        # 'cause the first mainloop gets all the events
        # and the others just sit and wait for something to happen
        if self._mainLoop==None:
            self._mainLoop= 1
            wxApp.MainLoop (self)
            
